Overview | Modules | Class Hierarchy | Classes | Members

Classes | Namespaces | Enumerations | Functions
Graph.h File Reference
`#include <iostream>`
`#include <string>`
`#include <vector>`
`#include <climits>`
`#include <tulip/tulipconf.h>`
`#include <tulip/tuliphash.h>`
`#include <tulip/Reflect.h>`
`#include <tulip/PluginContext.h>`
`#include <tulip/Node.h>`
`#include <tulip/Edge.h>`
`#include <tulip/Observable.h>`
`#include <tulip/ObservableGraph.h>`
`#include <tulip/PropertyInterface.h>`
`#include "cxx/Graph.cxx"`
Include dependency graph for Graph.h:
This graph shows which files directly or indirectly include this file:

## Classes

- class tlp::Graph
    Interface for a graph. More...
- class tlp::GraphEvent
    Event class for specific events on Graph. More...

## Namespaces

- namespace tlp

## Enumerations

- enum tlp::ElementType { tlp::NODE = 0, tlp::EDGE }

## Functions

- TLP_SCOPE Graph * tlp::loadGraph (const std::string &filename)
    Loads a graph in the tlp format from a file (extension can be .tlp or .tlp.gz). This function uses the "tlp" import plugin, and will fail if it is not loaded (By default this plugin is linked into the library and should be loaded).
- TLP_SCOPE bool tlp::saveGraph (Graph *g, const std::string &filename)
    Saves the corresponding root graph and all its subgraphs to a file using the tlp format. Extension of the file can be either .tlp (human-readable text file) or .tlp.gz (gzipped text file).
- TLP_SCOPE bool tlp::exportGraph (Graph *graph, std::ostream &outputStream, const std::string &format, DataSet &dataSet, PluginProgress *progress=NULL)
    Exports a graph using the specified export plugin with parameters stored in the DataSet.
- TLP_SCOPE Graph * tlp::importGraph (const std::string &format, DataSet &dataSet, PluginProgress *progress=NULL, Graph *newGraph=NULL)
    Imports a graph using the specified import plugin with the parameters stored in the DataSet.
- TLP_SCOPE _DEPRECATED bool tlp::applyAlgorithm (Graph *graph, std::string &errorMsg, DataSet *dataSet=NULL, const std::string &algorithm="any", PluginProgress *progress=NULL)
    Applies an algorithm plugin, identified by its name.
- TLP_SCOPE Graph * tlp::newGraph ()
    Creates and returns a new empty graph.
- TLP_SCOPE _DEPRECATED Graph * tlp::newSubGraph (Graph *root, std::string name="unnamed")
    Creates and returns an empty subgraph of the given graph.
- TLP_SCOPE _DEPRECATED Graph * tlp::newCloneSubGraph (Graph *root, std::string name="unnamed")
    Creates and returns a subgraph of the graph that is equal to root (a clone subgraph).
- TLP_SCOPE _DEPRECATED bool tlp::getSource (const Graph *, node &n)
    Finds the first node whose input degree equals 0.
- TLP_SCOPE void tlp::copyToGraph (Graph *outG, const Graph *inG, BooleanProperty *inSelection=NULL, BooleanProperty *outSelection=NULL)
- TLP_SCOPE void tlp::removeFromGraph (Graph *ioG, BooleanProperty *inSelection=NULL)
- TLP_SCOPE std::ostream & operator<< (std::ostream &, const tlp::Graph *)
    Print the graph (only nodes and edges) in ostream, in the tulip format.

## Function Documentation

TLP_SCOPE std::ostream& operator<< | ( | std::ostream & | ,
|  | const tlp::Graph * |
| ) |  |

Print the graph (only nodes and edges) in ostream, in the tulip format.

Tulip Software by LaBRI Visualization Team 2001 - 2012